@import "~scss/variables";

.guide-shopping-table {
    .sw-data-grid__table {
        border-collapse: separate;
        border-spacing: 0;  
    }

    &.sw-data-grid {
        border-top: none;
        border-radius: inherit;

        &.sw-data-grid--actions .sw-data-grid__row .sw-data-grid__cell {
            border: none;
            box-shadow: none;
            border-bottom: 1px solid $color-gray-300;

            &.sw-data-grid__cell--actions {
                .sw-data-grid__cell-content {
                    padding: 10px;
                }
            }

            .sw-data-grid__cell-content {
                padding: 16px 24px;
                height: auto;
            }
        }
    }

    &.sw-data-grid .sw-data-grid__body .sw-data-grid__row {
        &:nth-child(even) {
            .sw-data-grid__cell {
                background-color: $color-white;
            }

            &:hover .sw-data-grid__cell {
                background-color: $color-shopware-brand-50;

                a {
                    color: $color-shopware-brand-500;
                }
            }
        }

        &.is--selected {
            .sw-data-grid__cell {
                background-color: $color-shopware-brand-50;

                a {
                    color: $color-shopware-brand-500;
                }
            }
        }
    }
}
